<?php

namespace App\Http\Controllers;

use App\Services\CartolaService;
use App\Traits\HasResponse;
use Illuminate\Http\Request;

class CartolaController extends Controller
{
    use HasResponse;

    /** @var CartolaService */
    private $cartolaService;

    public function __construct(CartolaService $cartolaService)
    {
        $this->cartolaService = $cartolaService;
    }

    public function list(Request $request)
    {
        $withPagination = $this->validatePagination($request->only('perPage', 'page'));
        return $this->cartolaService->list($request->all(), $withPagination);
    }

    public function downloadExcel(Request $request)
    {
        return $this->cartolaService->downloadExcel($request->all());
    }

    public function downloadPDF(Request $request)
    {
        return $this->cartolaService->downloadPDF($request->all());
    }
}
