<?php

namespace App\Http\Controllers;

use App\Services\PaymentVoucherService;
use App\Traits\HasResponse;
use Illuminate\Http\Request;

class PaymentVoucherController extends Controller
{
    use HasResponse;

    /** @var PaymentVoucherService */
    private $paymentVoucherService;

    public function __construct(PaymentVoucherService $paymentVoucherService)
    {
        $this->paymentVoucherService = $paymentVoucherService;
    }

    public function list(Request $request)
    {
        $withPagination = $this->validatePagination($request->only('perPage', 'page'));
        return $this->paymentVoucherService->list($request->all(), $withPagination);
    }

    public function cancel($id)
    {
        return $this->paymentVoucherService->cancel($id);
    }
}
