<?php

namespace App\Http\Controllers;

use App\Http\Requests\ProductEntryRequest;
use App\Services\ProductEntryService;
use Illuminate\Http\Request;

class ProductEntryController extends Controller
{
    /** @var ProductEntryService */
    private $productEntryService;

    public function __construct(ProductEntryService $productEntryService)
    {
        $this->productEntryService = $productEntryService;
    }

    public function list(Request $request)
    {
        $withPagination = $this->validatePagination($request->only('perPage', 'page'));
        return $this->productEntryService->list($request->all(), $withPagination);
    }

    public function register(ProductEntryRequest $request)
    {
        return $this->productEntryService->register($request->validated());
    }
}
