<?php

namespace App\Http\Requests;

use App\Traits\HasResponse;
use Illuminate\Contracts\Validation\Validator;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Http\Exceptions\HttpResponseException;

class ProductClassificationRequest extends FormRequest
{
    use HasResponse;

    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {
        $rules = [
            'name'           => ['nullable', 'string'],
            'idbranchoffice' => ['nullable', 'integer'],
            'idcompany'      => ['nullable', 'integer']
        ];

        if ($this->isMethod('POST')) {
            $rules['name']              = ['required', 'string'];
            $rules['idbranchoffice']    = ['required', 'integer'];
            $rules['idcompany']         = ['required', 'integer'];
        }

        return $rules;
    }

    public function failedValidation(Validator $validator)
    {
        throw new HttpResponseException($this->errorResponse('Formato inválido.', 400, $validator->errors()));
    }
}
