<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class DriverResource extends JsonResource
{
    public function toArray(Request $request): array
    {
        $company = $this->relationLoaded('company') ? $this->whenLoaded('company') : null;

        return [
            'id'        => $this->id,
            'name'      => $this->name,
            'idcompany' => $this->idcompany,
            $this->mergeWhen($company, fn() => [
                'company_rut' => $company->rut,
                'company_name' => $company->business_name,
            ])
        ];
    }
}
