<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class IntakeCartDetailResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request): array
    {
        $product = $this->relationLoaded('product') ? $this->whenLoaded('product') : null;

        return [
            'id' => $this->id,
            'idintake_cart' => $this->idintake_cart,
            'idproduct' => $this->idproduct,
            $this->mergeWhen($product, fn() => [
                'code_system' => $product->code_system,
                'product' => $product->name,
                'cost' => $product->cost ?? 0,
                'idunitmeasure' => $product->idunitmeasure,
               'unitmeasure_abbreviation' => optional($product->unitMeasure)->abbreviation,
            ]),
            'quantity' => $this->quantity,
            'status' => $this->status
        ];
    }
}
