<?php

namespace App\Imports;

use Illuminate\Support\Collection;
use Maatwebsite\Excel\Concerns\ToCollection;
use Maatwebsite\Excel\Concerns\WithHeadingRow;
use App\Models\Product;

class ProductsDataLiteImport implements ToCollection, WithHeadingRow
{
    public function collection(Collection $products)
    {
        # Obtener todos los códigos ya existentes en la base de datos
        $existingProducts = Product::whereIn('code_erp', $products->pluck('codigo'))->pluck('code_erp')->toArray();
    
        $dataProducts = [];
    
        foreach ($products as $product) {

            #verificamos si el producto ya existe
            if (in_array($product['codigo'], $existingProducts)) {
                continue;
            }

            $dataProducts[] = [
                'code_erp'          => $product['codigo'],
                'code_system'       => $product['codigo'],
                'name'              => $product['producto'],
                'price'             => (int)$product['precio'],
                'idcompany'         => request('idcompany'),
                'created_at'        => now(),
                'updated_at'        => now()
            ];

        }

        if (!empty($dataProducts)) {
            Product::insert($dataProducts);
        }

    }

}
