<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\HasOne;

class DetailUserNotifications extends Model
{
    use HasFactory;
    protected $table = "tbl_detail_user_notifications";
    protected $primaryKey = "id";
    protected $fillable = [
        'idreceiver',
        'idnotification',
        'date_seen',
        'status_N',
        'status'
    ];

    public function receiver(): HasOne
    {
        return $this->hasOne(User::class, 'id', 'idreceiver');
    }

    public function notification(): HasOne
    {
        return $this->hasOne(Notifications::class, 'id', 'idnotification');
    }

    # Query scope
    public function scopeActive($query)
    {
        return $query->where('status', 1);
    }


    # Filtros
    public function scopeFilters($query)
    {
        #Filtro de vistos o no vistos
        $query->when(
            request('view'),
            fn ($query) => $query->where('status_N', request('view'))
        );

        #Filtro de estados
        $query->when(
            request('status'),
            fn ($query) => $query->where('status', request('status'))
        )->when(
            !request('status'),
            fn ($query) => $query->where('status', 1)
        );
    }

}
