<?php

namespace App\Services;

use App\Http\Resources\DriverResource;
use App\Models\Driver;
use App\Traits\HasResponse;

class DriverService
{
    use HasResponse;

    public function list($withPagination)
    {
        $driver = Driver::driverFilters()->orderBy('id', 'desc');

        $driver = !empty($withPagination)
            ? $driver->paginate($withPagination['perPage'], page: $withPagination['page'])
            : $driver->get();

        return $this->successResponse('Lectura exitosa.', DriverResource::collection($driver->load('company')));
    }
}
