<?php

namespace App\Services;

use App\Http\Resources\PatentResource;
use App\Models\Patent;
use App\Traits\HasResponse;

class PatentService
{
    use HasResponse;

    public function list($withPagination)
    {
        $patent = Patent::patentFilters()->orderBy('id', 'desc');

        $patent = !empty($withPagination)
            ? $patent->paginate($withPagination['perPage'], page: $withPagination['page'])
            : $patent->get();

        return $this->successResponse('Lectura exitosa.', PatentResource::collection($patent->load('company')));
    }
}
