<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('tbl_route', function (Blueprint $table) {
            $table->id();
            $table->timestamp('date');
            $table->string('n_route');
            $table->bigInteger('iduser_created')->unsigned();
            $table->text('patente')->nullable();
            $table->text('driver')->nullable();
            $table->text('observations')->nullable();
            $table->bigInteger('idcompany')->unsigned();
            $table->char('status_closure', 1)->default(1)->comment('1: abierto, 2:cerrado');
            $table->char('status', 1)->default(1)->comment('0: Inactivo, 1:Activo, 2:Eliminado');
            $table->timestamps();

            $table->foreign('iduser_created')->references('id')->on('tbl_user');
            $table->foreign('idcompany')->references('id')->on('tbl_company');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('tbl_route');
    }
};
