<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('tbl_dispatch_guide', function (Blueprint $table) {
            $table->id();
            $table->dateTime('date');
            $table->string('n_document');
            $table->bigInteger('idroute')->unsigned();
            $table->bigInteger('idproduct')->unsigned();
            $table->bigInteger('idwarehouse')->nullable()->unsigned();
            $table->integer('quantity');
            $table->bigInteger('idcompany')->unsigned();
            $table->char('status', 1)->default(1)->comment('0: Inactivo, 1:Activo, 2:Eliminado');
            $table->timestamps();

            $table->foreign('idroute')->references('id')->on('tbl_route');
            $table->foreign('idproduct')->references('id')->on('tbl_products');
            $table->foreign('idwarehouse')->references('id')->on('tbl_store');
            $table->foreign('idcompany')->references('id')->on('tbl_company');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('tbl_dispatch_guide');
    }
};
