<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('tbl_dispatch_guide_details', function (Blueprint $table) {
            $table->id();
            $table->bigInteger('iddispatch_guide')->nullable()->unsigned();
            $table->bigInteger('idticket')->nullable()->unsigned();
            $table->bigInteger('idproduct')->unsigned();
            $table->integer('quantity');
            $table->bigInteger('idcompany')->unsigned();
            $table->char('status', 1)->default(1)->comment('0: Inactivo, 1:Activo, 2:Eliminado');
            $table->timestamps();

            $table->foreign('iddispatch_guide')->references('id')->on('tbl_dispatch_guide');
            $table->foreign('idproduct')->references('id')->on('tbl_products');
            $table->foreign('idticket')->references('id')->on('tbl_ticket');
            $table->foreign('idcompany')->references('id')->on('tbl_company');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('tbl_dispatch_guide_details');
    }
};
