<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('tbl_intake_cart', function (Blueprint $table) {
            $table->id();
            $table->bigInteger('iduser_created')->unsigned();
            $table->bigInteger('idsupplier')->unsigned()->nullable()->comment('id del proveedor');
            $table->bigInteger('idcompany')->unsigned();
            $table->char('status_entry', 1)->default(0)->comment('0: No emitido, 1:Emitido');
            $table->char('status', 1)->default(1)->comment('0: Inactivo, 1:Activo, 2:Eliminado');

            $table->foreign('iduser_created')->references('id')->on('tbl_user');
            $table->foreign('idsupplier')->references('id')->on('tbl_supplier');
            $table->foreign('idcompany')->references('id')->on('tbl_company');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('tbl_intake_cart');
    }
};
