<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('tbl_product_entry_detail', function (Blueprint $table) {
            $table->id();
            $table->bigInteger('idproduct_entry')->unsigned();
            $table->bigInteger('idproduct')->unsigned();
            $table->float('quantity', 20, 2)->default(0);
            $table->float('cost_total', 20, 2)->default(0);
            $table->char('status', 1)->default(1)->comment('0: Inactivo, 1:Activo, 2:Eliminado');

            $table->foreign('idproduct_entry')->references('id')->on('tbl_product_entry');
            $table->foreign('idproduct')->references('id')->on('tbl_products');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('tbl_product_entry_detail');
    }
};
