<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('tbl_account_receivable_det', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('idaccount_receivable');
            $table->unsignedBigInteger('idpayment_voucher');
            $table->unsignedBigInteger('amount');
            $table->unsignedBigInteger('idcompany');
            $table->char('status', 1)->default(1);

            $table->foreign('idaccount_receivable')->references('id')->on('tbl_account_receivable');
            $table->foreign('idpayment_voucher')->references('id')->on('tbl_payment_voucher');
            $table->foreign('idcompany')->references('id')->on('tbl_company');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('tbl_account_receivable_det');
    }
};
