<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('tbl_cartola', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('correlative')->nullable();
            $table->unsignedBigInteger('idsupplier');
            $table->unsignedBigInteger('idticket')->nullable();
            $table->unsignedBigInteger('idpayment_voucher')->nullable();
            $table->char('type', 1)->comment('1: Factura emitida, 2: Abono/Anticipo recibido, 3: Pago de factura');
            $table->bigInteger('charge');
            $table->bigInteger('payment');
            $table->bigInteger('balance');
            $table->unsignedBigInteger('idway_to_pay')->nullable();
            $table->string('gloss');
            $table->unsignedBigInteger('idcompany');
            $table->unsignedBigInteger('iduser');
            $table->char('status', 1)->default(1);

            $table->foreign('idsupplier')->references('id')->on('tbl_supplier');
            $table->foreign('idticket')->references('id')->on('tbl_ticket');
            $table->foreign('idway_to_pay')->references('id')->on('tbl_way_to_pay');
            $table->foreign('idcompany')->references('id')->on('tbl_company');
            $table->foreign('iduser')->references('id')->on('tbl_user');
            $table->foreign('idpayment_voucher')->references('id')->on('tbl_payment_voucher');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('tbl_cartola');
    }
};
