<!DOCTYPE html>
<html lang="es">

<head>
    <meta charset="UTF-8">
    <title>Reporte de Cuentas por Cobrar</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            font-size: 12px;
        }

        table {
            border-collapse: collapse;
            width: 100%;
            margin-bottom: 20px;
        }

        th,
        td {
            padding: 6px;
            text-align: center;
        }

        th {
            background-color: #69ABC3;
            color: white;
        }

        .summary th {
            background-color: #69ABC3;
            color: white;
        }

        .summary td {
            font-weight: bold;
        }

        .expired-row {
            background-color: #FFDAB9;
        }

        .no-border {
            border: none;
        }
    </style>
</head>

<body>
    <h2 style="text-align: center; font-size: 18px;">{{ $data['supplierName'] . ' - ' . $data['rut'] }}</h2>

    <table class="summary no-border">
        <tr>
            <th class="no-border"></th>
            <th class="no-border">Vencidas</th>
            <th class="no-border">No vencidas</th>
            <th class="no-border">Total</th>
        </tr>
        <tr>
            <td class="no-border" style="background-color: #69ABC3; color: #fff">N° Facturas</td>
            <td class="no-border">{{ $data['summary']['accounts_receivable_expired'] ?? 0 }}</td>
            <td class="no-border">{{ $data['summary']['accounts_receivable_not_expired'] ?? 0 }}</td>
            <td class="no-border">{{ $data['summary']['accounts_receivable'] ?? 0 }}</td>
        </tr>
        <tr>
            <td class="no-border" style="background-color: #69ABC3; color: #fff">Monto</td>
            <td class="no-border">${{ number_format($data['summary']['amount_receivable_expired'] ?? 0, 0, ',', '.') }}
            </td>
            <td class="no-border">
                ${{ number_format($data['summary']['amount_receivable_not_expired'] ?? 0, 0, ',', '.') }}</td>
            <td class="no-border">${{ number_format($data['summary']['amount_receivable'] ?? 0, 0, ',', '.') }}</td>
        </tr>
    </table>

    <table class="no-border">
        <tr>
            <th class="no-border">Folio</th>
            <th class="no-border">Forma de Pago</th>
            <th class="no-border">Emisión</th>
            <th class="no-border">Vencimiento</th>
            <th class="no-border">Total Factura</th>
            <th class="no-border">Monto Pagado</th>
            <th class="no-border">Saldo Pendiente</th>
        </tr>
        @foreach ($data['accounts'] as $account)
            <tr class="{{ \Carbon\Carbon::parse($account['deadline'])->isPast() ? 'expired-row' : '' }}">
                <td class="no-border">{{ $account['ticket']['folio'] ?? '-' }}</td>
                <td class="no-border">{{ $account['ticket']['wayToPay']['name'] ?? '-' }}</td>
                <td class="no-border">
                    {{ \Carbon\Carbon::parse($account['ticket']['created_at'])->format('d/m/Y H:i') }}</td>
                <td class="no-border">{{ \Carbon\Carbon::parse($account['deadline'])->format('d/m/Y') ?? 'N/A' }}</td>
                <td class="no-border">${{ number_format($account['total'], 0, ',', '.') }}</td>
                <td class="no-border">${{ number_format($account['amount_paid'] ?? 0, 0, ',', '.') }}</td>
                <td class="no-border">${{ number_format($account['debt'], 0, ',', '.') }}</td>
            </tr>
        @endforeach

        <tr>
            <td colspan="4" style="font-weight: bold; background-color: #69ABC3; color: white;">Total</td>
            <td style="font-weight: bold;">${{ number_format($data['totals']['totalFactura'], 0, ',', '.') }}</td>
            <td style="font-weight: bold;">${{ number_format($data['totals']['montoPagado'], 0, ',', '.') }}</td>
            <td style="font-weight: bold;">${{ number_format($data['totals']['saldoPendiente'], 0, ',', '.') }}</td>
        </tr>
    </table>

</body>

</html>
