<!DOCTYPE html>
<html lang="es">

<head>
    <meta charset="UTF-8">
    <title>Cartola</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            font-size: 12px;
        }

        table {
            width: 100%;
            border-collapse: collapse;
        }

        th,
        td {
            padding: 6px;
            text-align: center;
        }

        th {
            background-color: #69ABC3;
            color: #FFF;
            font-weight: bold;
        }

        .title {
            text-align: center;
            font-size: 18px;
            font-weight: bold;
            margin-bottom: 10px;
        }

        .period {
            background-color: #69ABC3;
            color: #FFF;
            font-weight: bold;
            text-align: center;
            padding: 4px;
        }

        .date-cell {
            text-align: center;
        }

        .right-align {
            text-align: right;
        }

        tbody tr:nth-child(odd) {
            background-color: #f7f9fc;
        }

        tbody tr:nth-child(even) {
            background-color: #e3e7ee;
        }
    </style>

</head>

<body>

    {{-- Título --}}
    <div class="title">
        {{ $name_rz }} - {{ $rut }}
    </div>

    {{-- Periodo --}}
    <table>
        <tr>
            <td class="period">Desde</td>
            <td>{{ \Carbon\Carbon::parse($start_date)->format('d/m/Y') }}</td>
            <td class="period">Hasta</td>
            <td>{{ \Carbon\Carbon::parse($end_date)->format('d/m/Y') }}</td>
        </tr>
    </table>

    <br>

    {{-- Tabla de detalles --}}
    <table>
        <thead>
            <tr>
                <th>Fecha</th>
                <th>Movimiento</th>
                <th>Folio</th>
                <th>Cargo</th>
                <th>Abono</th>
                <th>Saldo</th>
                <th>Método de pago</th>
                <th>Glosa</th>
            </tr>
        </thead>
        <tbody>
            @foreach ($details as $detail)
                <tr>
                    <td class="date-cell" style="text-align: center;">
                        {{ \Carbon\Carbon::parse($detail['ticket']['created_at'])->format('d/m/Y H:i') ?? '-' }}
                    </td>
                    <td>{{ $types[$detail['type']] ?? '-' }}</td>
                    <td>{{ $detail['ticket']['folio'] ?? '-' }}</td>
                    <td class="right-align">${{ number_format($detail['charge'], 0, ',', '.') ?? '0' }}</td>
                    <td class="right-align">${{ number_format($detail['payment'], 0, ',', '.') ?? '0' }}</td>
                    <td class="right-align">${{ number_format($detail['balance'], 0, ',', '.') ?? '0' }}</td>
                    <td>{{ $detail['wayToPay']['name'] ?? '-' }}</td>
                    <td>{{ $detail['gloss'] }}</td>
                </tr>
            @endforeach
        </tbody>
    </table>

</body>

</html>
